Bug 179218 - Move to default package
Move to default package
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
All All
: P2 (vote)
: 6.x
Assigned To: J Bachorik
issues@javafx
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-05 04:46 UTC by artisan
Modified: 2010-01-26 06:20 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description artisan 2010-01-05 04:46:49 UTC
When moving a class to the default package the refactored source code begins with "package ;". Which results in a compilation error.

--------------------------------------------------------------------------------

package ; <= compilation error

import javafx.scene.CustomNode;
import javafx.scene.Node;
import javafx.scene.text.Text;
import javafx.scene.Group;

class Test extends CustomNode {
    override protected function create () : Node {
        Text {
            content: "testing..."
        }
    }
}

def test:Node = Test{};
def isGroup = test instanceof Group;

--------------------------------------------------------------------------------

Product Version: NetBeans IDE 6.8 (Build 200912041610)
Java: 1.6.0_17; Java HotSpot(TM) 64-Bit Server VM 14.3-b01
System: Linux version 2.6.31-16-generic running on amd64; UTF-8; en_US (nb)
Comment 1 Lukas Hasik 2010-01-05 06:31:34 UTC
1, increasing priority and marking as patch1 candidate
2, added test case for this bug - http://wiki.netbeans.org/TS_68_JavaFX_Refactoring#Package
Comment 2 J Bachorik 2010-01-11 08:09:31 UTC
fixed in trunk - http://hg.netbeans.org/javafx/rev/1f3c230ad13c
Comment 3 Alexandr Scherbatiy 2010-01-12 07:25:55 UTC
verified in NetBeans-JavaFX-Soma: #93
Comment 4 rbalada 2010-01-21 03:23:59 UTC
The fix has been ported to branch release68_fixes
http://hg.netbeans.org/javafx/rev/b3c0f8e1b977
Comment 5 rbalada 2010-01-22 09:30:16 UTC
I've reverted the changeset http://hg.netbeans.org/javafx/rev/b3c0f8e1b977 due to it's dependency on TreePathHandle -> ElementLocation refactoring (revert committed as http://hg.netbeans.org/javafx/rev/fc47f85ea3c7).

New version of the change has been committed in release68_fixes branch as a changeset shared with a fix for issue 176894

http://hg.netbeans.org/javafx/rev/4a484aa724db
Comment 6 Alexandr Scherbatiy 2010-01-26 06:20:49 UTC
Verified in NB 6.8 patch1 2010-01-26_05-22-22


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo